सामग्री पर जाएँ

Grok Imagine Image 2.0 · Text to Image

इंटीग्रेट करें

मॉडल id xai/grok-imagine-image/v2.0/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/v2.0/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.06 60 API क्रेडिट · ≈ ₽6.45 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
xAI टेक्स्ट से इमेज 2k तक #text-to-image#xai#grok

13 आस्पेक्ट रेशियो, 1k या 2k रिज़ॉल्यूशन और अधिकतम 4 इमेज वाला Grok Imagine 2.0 टेक्स्ट-टू-इमेज

xAI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 8000

बनाई जाने वाली इमेज का टेक्स्ट में विवरण।

resolution डिफ़ॉल्ट 1k

मानक (`1k`) और उच्च (`2k`) के बीच इमेज रिज़ॉल्यूशन का विकल्प।

quality डिफ़ॉल्ट medium

निर्मित इमेज की गुणवत्ता सेटिंग।

डिफ़ॉल्ट 1:1

आउटपुट इमेज का चौड़ाई-से-ऊँचाई अनुपात।

num_images डिफ़ॉल्ट 1

बनाई जाने वाली इमेज की संख्या।

उन्नत output_format · enable_safety_checker
output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

POST /run/xai/grok-imagine-image/v2.0/text-to-image?wait=20 कोटेशन → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/v2.0/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Grok Imagine Image 2.0 · Text to Image के बारे में

अधिकतम 8000 वर्णों वाले टेक्स्ट `prompt` से इमेज बनाता है। प्रति कॉल 1 से 4 इमेज बनती हैं, 1:2 से 2:1 तक 13 आस्पेक्ट रेशियो के साथ (डिफ़ॉल्ट 1:1) और `1k` या `2k` रिज़ॉल्यूशन में। आउटपुट jpeg, png या webp हो सकता है, जिसमें low या medium `quality` हो सकती है। प्रतिक्रिया में वास्तव में उपयोग किया गया संशोधित प्रॉम्प्ट शामिल होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 8,000 अक्षर
बनाई जाने वाली इमेज का टेक्स्ट में विवरण।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
बनाई जाने वाली इमेज की संख्या।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1:1
2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
आउटपुट इमेज का चौड़ाई-से-ऊँचाई अनुपात।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1k
1k2k
मानक (`1k`) और उच्च (`2k`) के बीच इमेज रिज़ॉल्यूशन का विकल्प।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टmedium
lowmedium
निर्मित इमेज की गुणवत्ता सेटिंग।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image/v2.0/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}निर्मित इमेज की ओर संकेत करने वाला URL।
revised_prompt
string | nullइमेज निर्माण के लिए उपयोग किया जाने वाला बेहतर प्रॉम्प्ट।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/xai/grok-imagine-image/v2.0/text-to-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt